Adds periods of unavailability to a person in the given account

Periods of unavailability cannot overlap with employment dates and cannot overlap with existing periods of unavailability.
NOTE: If you do not have Private Write permissions, you cannot create private periods of unavailability.

Deprecated: The Unavailability rangeType is deprecated on this endpoint. Use the V2 /unavailabilities endpoint with createBackfillRoleIds for backfill functionality, or use the TimeOff rangeType for unavailability without backfill.
Permissions
Private: Write
Person: Read
HourlyProfile: Read
Unavailabilities: Write
HourlyUnavailabilities: Write

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
⚠️

Deprecation Notice — effective September 15, 2026

POST /v1/unavailabilities now rejects rangeType: 2 (Unavailability). rangeType: 3 (TimeOff) is unaffected.

What breaks

Any request to POST /v1/unavailabilities with rangeType: 2 will receive:

Status: 400 Bad Request

{
  "error": "The Unavailability type is deprecated. Use V2 /unavailabilities endpoint with createBackfillRoleIds for backfill functionality, or use TimeOff type for unavailability without backfill."
}

What to do

Switch to POST /v2/unavailabilities and pass backfill role IDs explicitly:

{
  "rangeType": 2,
  "startDate": "2025-10-01",
  "endDate": "2025-10-05",
  "createBackfillRoleIds": ["role-id-1", "role-id-2"]
}

Questions? Contact [email protected].

Path Params
int32
required

The Account ID

int64
required

Id of the person to get unavailabilities for

Body Params

Array of objects containing description, startDate, endDate, and isPrivate

string | null
date-time
required
date-time | null
boolean
required
string
enum
required
Allowed:
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

400

Bad Request: Example when start and end date are outside employment dates
{

Example when start and end dates overlap with each other
{

401

Unauthorized

403

Forbidden

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json